/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    _loadLocalTmpl = require('../../../../task/worker/_load_local_tmpl.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Load local tmpl.'] = function (test) {
    _loadLocalTmpl('md/README.md.hbs', function (err, tmpl) {
        test.ifError(err);
        test.ok(tmpl({}));
        test.done();
    });
};